package cn.sh.stc.sict.theme.hphy.service.impl;

import cn.sh.stc.sict.theme.hphy.dao.HphyPatientRelationMapper;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientRelation;
import cn.sh.stc.sict.theme.hphy.service.HphyPatientRelationService;
import cn.sh.stc.sict.theme.hphy.vo.PatientRelationVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 患者-家庭成员关系表(HphyPatientRelation)表服务实现类
 *
 * @author F_xh
 * @since 2022-10-10 14:41:04
 */
@AllArgsConstructor
@Service("hphyPatientRelationService")
public class HphyPatientRelationServiceImpl extends ServiceImpl<HphyPatientRelationMapper, HphyPatientRelation> implements HphyPatientRelationService {
    private final HphyPatientRelationMapper hphyPatientRelationMapper;

    @Override
    public List<PatientRelationVO> listPatientRelation(Long patientId) {
        return hphyPatientRelationMapper.listPatientRelation(patientId);
    }
}